mssndcard.h File Reference

mediastreamer2 mssndcard.h include file More...

`#include "mscommon.h"`

## Typedefs

typedef struct _MSSndCardManager | MSSndCardManager
typedef enum _MSSndCardMixerElem | MSSndCardMixerElem
typedef enum _MSSndCardCapture | MSSndCardCapture
typedef enum _MSSndCardControlElem | MSSndCardControlElem
typedef struct _MSSndCardDesc | MSSndCardDesc
typedef struct _MSSndCard | MSSndCard

## Functions

MSSndCardManager * | ms_snd_card_manager_get (void)
void | ms_snd_card_manager_destroy (void)
MSSndCard * | ms_snd_card_manager_get_card (MSSndCardManager *m, const char *id)
MSSndCard * | ms_snd_card_manager_get_default_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_capture_card (MSSndCardManager *m)
MSSndCard * | ms_snd_card_manager_get_default_playback_card (MSSndCardManager *m)
const MSList * | ms_snd_card_manager_get_list (MSSndCardManager *m)
void | ms_snd_card_manager_add_card (MSSndCardManager *m, MSSndCard *c)
void | ms_snd_card_manager_register_desc (MSSndCardManager *m, MSSndCardDesc *desc)
void | ms_snd_card_manager_reload (MSSndCardManager *m)
struct _MSFilter * | ms_snd_card_create_reader (MSSndCard *obj)
struct _MSFilter * | ms_snd_card_create_writer (MSSndCard *obj)
MSSndCard * | ms_snd_card_new (MSSndCardDesc *desc)
void | ms_snd_card_destroy (MSSndCard *obj)
MSSndCard * | ms_snd_card_dup (MSSndCard *card)
const char * | ms_snd_card_get_driver_type (const MSSndCard *obj)
const char * | ms_snd_card_get_name (const MSSndCard *obj)
const char * | ms_snd_card_get_string_id (MSSndCard *obj)
unsigned int | ms_snd_card_get_capabilities (const MSSndCard *obj)
void | ms_snd_card_set_level (MSSndCard *obj, MSSndCardMixerElem e, int percent)
int | ms_snd_card_get_level (MSSndCard *obj, MSSndCardMixerElem e)
void | ms_snd_card_set_capture (MSSndCard *obj, MSSndCardCapture c)
int | ms_snd_card_set_control (MSSndCard *obj, MSSndCardControlElem e, int val)
int | ms_snd_card_get_control (MSSndCard *obj, MSSndCardControlElem e)
MSSndCard * | ms_alsa_card_new_custom (const char *pcmdev, const char *mixdev)

## Detailed Description

mediastreamer2 mssndcard.h include file

This file provide the API needed to manage soundcard filters.